import { DevCycleUser } from '@devcycle/js-client-sdk';
import { BucketedUserConfig } from '@devcycle/types';
import { ConfigSource } from '../common/ConfigSource.js';
export declare const fetchCDNConfig: (sdkKey: string, obfuscated: boolean) => Promise<Response>;
export declare const getBucketedConfig: (sdkKey: string, user: DevCycleUser, userAgent: string | null, obfuscated: boolean, configSource?: ConfigSource) => Promise<{
    config: BucketedUserConfig;
}>;
